import { TJson } from "./utils";
import { Model, IModel } from "./model";
import { Deserializer } from "./deserializers";
export declare class Store {
    private models;
    private data;
    deserializer: Deserializer;
    static getResourceName(model: IModel | Model | string): string;
    static getModelName(resource: string): string;
    define(model: IModel): void;
    getModel(resource: string): IModel;
    read(payload: TJson): Model | Model[];
    find(resource: string, id: string | number): Model | undefined;
    findAll(resource: string): Array<Model>;
    findOrInit(resource: string, id: string | number): Model;
    destroy(instance: Model): void;
    reset(): void;
    append(array: Model[], payload: TJson): Model[];
    private add;
}
